Subject: [Rtg-yang-coord] Key Chain Cryptographic Algorithms

From: "Acee Lindem (acee)" <[email-masked]>
Date: Wed, 1 Apr 2015 18:20:11 +0000

Hi Jeff, 

With respect to using identities for the list of key-chain algorithms, I
don’t believe this is necessary. We are currently using the YANG choice
statement for the cryptographic algorithm list. The gives us the
following extendibility:

   1. A given authentication algorithm can be made optional with a
feature. I tested this with pyang compilation and it works fine.

   2. The choice statement also may be augmented to add additional
      cryptographic protocols. I also tested this with pyang compilation.

Thanks,
Acee